package awtdrawtest;

import java.awt.*;
import java.awt.event.*;
import java.applet.*;
import javax.swing.*;
import com.borland.jbcl.layout.*;

public class Applet1 extends JApplet {
  boolean isStandalone = false;
  Panel panel1 = new Panel();
  Panel panel2 = new Panel();
  Button button1 = new Button();
  XYLayout xYLayout2 = new XYLayout();
  Button button2 = new Button();
  BorderLayout borderLayout1 = new BorderLayout();
  /**Get a parameter value*/
  public String getParameter(String key, String def) {
    return isStandalone ? System.getProperty(key, def) :
      (getParameter(key) != null ? getParameter(key) : def);
  }

  /**Construct the applet*/
  public Applet1() {
  }
  /**Initialize the applet*/
  public void init() {
    try {
      jbInit();
    }
    catch(Exception e) {
      e.printStackTrace();
    }
  }
  /**Component initialization*/
  private void jbInit() throws Exception {
    this.setSize(new Dimension(400,300));
    this.getContentPane().setLayout(borderLayout1);
    panel1.setBackground(Color.red);
    panel2.setBackground(Color.orange);
    panel2.setLayout(xYLayout2);
    button1.setLabel("button1");
    button1.addActionListener(new java.awt.event.ActionListener() {
      public void actionPerformed(ActionEvent e) {
        b1ActionPerformed(e);
      }
    });
    button2.setLabel("button2");
    button2.addActionListener(new java.awt.event.ActionListener() {
      public void actionPerformed(ActionEvent e) {
        b2ActionPerformed(e);
      }
    });
    this.getContentPane().add(panel1, BorderLayout.CENTER);
    this.getContentPane().add(panel2, BorderLayout.SOUTH);
    panel2.add(button1, new XYConstraints(51, 12, -1, -1));
    panel2.add(button2, new XYConstraints(276, 11, -1, -1));
  }
  /**Get Applet information*/
  public String getAppletInfo() {
    return "Applet Information";
  }
  /**Get parameter info*/
  public String[][] getParameterInfo() {
    return null;
  }

  //static initializer for setting look & feel
  static {
      // spielen mit Look & Feel
    String window = new
            String("com.sun.java.swing.plaf.windows.WindowsLookAndFeel");
    String metal = new
            String("com.sun.java.swing.plaf.metal.MetalLookAndFeel");
    String mac = new
            String("com.sun.java.swing.plaf.mac.MacLookAndFeel");
    String motif = new
            String("com.sun.java.swing.plaf.motif.MotifLookAndFeel");


    try {
      UIManager.setLookAndFeel(UIManager.getSystemLookAndFeelClassName());
      //UIManager.setLookAndFeel(UIManager.getCrossPlatformLookAndFeelClassName());
      UIManager.setLookAndFeel(motif);
    }
    catch(Exception e) {
    }
  }

  void b1ActionPerformed(ActionEvent e) {
    System.out.println("Hallo");

  }

  void b2ActionPerformed(ActionEvent e) {
    System.out.println("Adieu");
  }
}