package awtdrawtest;

import java.awt.*;
import com.borland.jbcl.layout.*;
import java.awt.event.*;

/**
 * Title:
 * Description:
 * Copyright:    Copyright (c) 2000
 * Company:      Joller-Voss GmbH
 * @author
 * @version 1.0
 */

public class Frame1 extends Frame {
  XYLayout xYLayout1 = new XYLayout();
  Panel panel1 = new Panel();
  SerializationButton buttonSave = new SerializationButton("Save","Panel1.ser");
  SerializationButton buttonRestore = new SerializationButton("Restore","Panel1.ser");
  TextArea textArea1 = new TextArea();
  XYLayout xYLayout2 = new XYLayout();

  public Frame1() {
    try {
      jbInit();
    }
    catch(Exception e) {
      e.printStackTrace();
    }
  }
  public static void main(String[] args) {
    Frame1 frame1 = new Frame1();
  }
  private void jbInit() throws Exception {
    this.setLayout(xYLayout1);
    panel1.setBackground(Color.gray);
    panel1.setLayout(xYLayout2);
    buttonSave.setLabel("Save");
    buttonSave.addActionListener(new java.awt.event.ActionListener() {
      public void actionPerformed(ActionEvent e) {
        saveActionPerformed(e);
      }
    });
    buttonRestore.setLabel("Restore");
    buttonRestore.addActionListener(new java.awt.event.ActionListener() {
      public void actionPerformed(ActionEvent e) {
        restoreActionPerformed(e);
      }
    });
    xYLayout1.setWidth(404);
    xYLayout1.setHeight(268);
    textArea1.setText("Standardtext");
    this.add(panel1, new XYConstraints(11, 12, 379, 210));
    panel1.add(textArea1, new XYConstraints(8, 5, 358, 199));
    this.add(buttonRestore, new XYConstraints(11, 228, 112, 30));
    this.add(buttonSave, new XYConstraints(278, 228, 112, 30));
  }

  void saveActionPerformed(ActionEvent e) {
    buttonSave.saveObject(this.panel1);
  }

  void restoreActionPerformed(ActionEvent e) {
    Panel restored = (Panel)(buttonRestore.restoreObject());
    System.out.println("Panel wurde De-Serialisiert");
    remove(panel1);
    this.add("Center", restored);
    System.out.println (restored.getName());
    this.add(restored, new XYConstraints(11, 12, 379, 210));
    panel1 = restored;
  }

}