package cardlayoutmanager;

import java.awt.*;
import java.awt.event.*;
import java.applet.*;

/**
 * Title:
 * Description:
 * Copyright:    Copyright (c) 2000
 * Company:      Joller-Voss GmbH
 * @author J.M.Joller
 * @version 1.0
 */

public class CardLayoutBeispiel extends Applet implements MouseListener{

    Panel p1, p2, p3, p4, p5;
    Label l1, l2, l3, l4, l5;

    CardLayout meinCardLayout;
    Frame f;

    public void init () {
        f = new Frame ("Card Layout");
        meinCardLayout = new CardLayout();
        f.setLayout(meinCardLayout);

        // diese Panels
        // werden die Karten
        p1 = new Panel();
        p2 = new Panel();
        p3 = new Panel();
        p4 = new Panel();
        p5 = new Panel();

        // kreieren eines Labels pro Karte
        // ndern der Farbe pro Panel
        // damit werden sie besser unterscheidbar

        l1 = new Label("erstes Panel (gelb)");
        p1.setBackground(Color.yellow);

        l2 = new Label("zweites Panel (grn)");
        p2.setBackground(Color.green);

        l3 = new Label("drittes Panel (magenta)");
        p3.setBackground(Color.magenta);

        l4 = new Label("viertes Panel (weiss)");
        p4.setBackground(Color.white);

        l5 = new Label("fnftes Panel (cyan)");
        p5.setBackground(Color.cyan);

        // Panel und Label verbinden
        // mouseListener hinzufgen (ohne spezielle Aktion)
        p1.add(l1);
        p1.addMouseListener(this);

        p2.add(l2);
        p2.addMouseListener(this);

        p3.add(l3);
        p3.addMouseListener(this);

        p4.add(l4);
        p4.addMouseListener(this);

        p5.add(l5);
        p5.addMouseListener(this);

        // Panels zum CardLayout hinzufgen
        f.add(p1, "Erstes");
        f.add(p2, "Zweites");
        f.add(p3, "Drittes");
        f.add(p4, "Viertes");
        f.add(p5, "Fnftes");

        // Erstes Panel anzeigen
        meinCardLayout.show(f,"Erstes Panel");
        //meinCardLayout.first (f);

        f.setSize (200, 200);
    }

    public void start () {
        f.setVisible(true);
    }

    public void stop() {
        f.setVisible(false);
    }


    public void mousePressed(MouseEvent me) {
        // jetzt mssen wir jeweils aufs nchste Panel wechseln
        // falls dieses Ereignis eintrifft
        meinCardLayout.next(f);
    }

    public void mouseClicked(MouseEvent me) {}

    public void mouseReleased(MouseEvent me) {}

    public void mouseEntered(MouseEvent me) {}

    public void mouseExited(MouseEvent me) {}
}
