package checkboxgroup;

import java.awt.*;
import java.awt.event.*;
import java.applet.*;

/**
 * Title:
 * Description:
 * Copyright:    Copyright (c) 2000
 * Company:      Joller-Voss GmbH
 * @author J.M.Joller
 * @version 1.0
 */

public class CheckboxGroupBeispiel extends Applet {
      private Checkbox eins;
      private Checkbox zwei;
      private Checkbox drei;

      public Handler derHandler;

      public CheckboxGroup cbg;

   public void init() {
      cbg = new CheckboxGroup();

      eins = new Checkbox("Eins", cbg, false);
      zwei = new Checkbox("Zwei", cbg, false);
      drei = new Checkbox("Drei", cbg, true);

      derHandler = new Handler();

      eins.addItemListener(derHandler);
      zwei.addItemListener(derHandler);
      drei.addItemListener(derHandler);

      this.add(eins);
      this.add(zwei);
      this.add(drei);
   }
}

class Handler implements ItemListener {
   public void itemStateChanged(ItemEvent ev) {
      String zustand = "deselektiert";

      if (ev.getStateChange() == ItemEvent.SELECTED){
         zustand = "selektiert";
      }

      System.out.println("CheckboxGroupDemo: " + ev.getItem() + " " + zustand);
   }
}
