package fonts;

import java.awt.*;
import java.awt.event.*;

/**
 * Title:
 * Description:
 * Copyright:    Copyright (c) 2000
 * Company:      Joller-Voss GmbH
 * @author J.M.Joller
 * @version 1.0
 */

public class FontBeispiel extends Frame {
   public static void main(String[] args)   {
      FontBeispiel wnd = new FontBeispiel();
   }

   public FontBeispiel()   {
      super("FontBeispiel");

      addWindowListener(
         new WindowAdapter() {
            public void windowClosing(WindowEvent event)
            {
               System.exit(0);
            }
         }
      );
      setBackground(Color.lightGray);
      setSize(300,200);
      setVisible(true);
   }
// Eine der fogenden Paint Methoden mssen Sie auskommentieren
/*
  public void paint(Graphics g) {
     Font font;
     String arfonts[] = {"Serif","SansSerif","Monospaced"};

     for (int i=0; i<arfonts.length; ++i) {
        font = new Font(arfonts[i],Font.PLAIN,36);
        g.setFont(font);
        g.drawString(arfonts[i],10,30 + (i+1)*(36+5));
     }
  }
*/
   public void paint(Graphics g)
   {
   Font font;
   // deprecated : jetzt arbeitet man mit GraphicsEnvironment
   String arfonts[] = Toolkit.getDefaultToolkit().getFontList();

    for (int i=0; i<arfonts.length; ++i) {
      font = new Font(arfonts[i],Font.PLAIN,36);
      g.setFont(font);
      g.drawString(arfonts[i],10,(i+2)*(36+5));
    }
   }


}
