import java.awt.*;
import java.awt.event.*;
import java.applet.*;

public class PaintGUI extends Applet {

    Frame f;
    Canvas paintCanvas;
    MenuBar bar;
    Menu file, help;
    MenuItem clear, print, quit;
    Panel toolPanel;
    Choice shapesChoice;
    CheckboxGroup colorGroup;
    Checkbox red, green, blue, black;
    Checkbox filled;

    public void init() {
        f = new Frame ("Paint Program");

        bar = new MenuBar ();
        file = new Menu ("Datei");
        clear = new MenuItem ("Lschen");
        print = new MenuItem ("Drucken");
        quit = new MenuItem ("Quit");
        file.add (clear);
        file.add (print);
        file.addSeparator();
        file.add (quit);
        bar.add (file);

        help = new Menu ("Hilfe");
        bar.setHelpMenu (help);

        f.setMenuBar (bar);

        toolPanel = new Panel ();

        shapesChoice = new Choice ();
        shapesChoice.addItem ("Quadrate");
        shapesChoice.addItem ("Kreise");
        shapesChoice.addItem ("Linien");
        shapesChoice.addItem ("gerundete Quadrate");

        colorGroup = new CheckboxGroup();
        red = new Checkbox("Rot", colorGroup, false);
        green = new Checkbox("Grn", colorGroup, false);
        blue = new Checkbox("Blau", colorGroup, false);
        black = new Checkbox("Schwarz", colorGroup, true);

        filled = new Checkbox ("ausgefllt", false);

        toolPanel.add (shapesChoice);
        toolPanel.add (red);
        toolPanel.add (green);
        toolPanel.add (blue);
        toolPanel.add (black);
        toolPanel.add (filled);

        f.add ("South", toolPanel);
        paintCanvas = new Canvas();
        f.add ("Center", paintCanvas);
        f.setSize (550, 300);
    }

    public void start () {
        f.setVisible (true);
    }

    public void stop () {
        f.setVisible (false);
    }
}
