package zeichnen;

import java.awt.*;
import java.awt.event.*;
import java.applet.*;
import com.borland.jbcl.layout.*;

/**
 * Title:
 * Description: einfacher Rahmen ohne Funktionen
 * Copyright:    Copyright (c) 2000
 * Company:      Joller-Voss GmbH
 * @author J.M.Joller
 * @version 1.0
 */

public class Zeichnen extends Applet {
  boolean isStandalone = false;
  BorderLayout drawBorderLayout = new BorderLayout();
  CheckboxGroup checkboxGroup1 = new CheckboxGroup();
  Choice choice = new Choice();
  Panel controlPanel = new Panel();
  Checkbox redCheckbox = new Checkbox();
  Checkbox blueCheckbox = new Checkbox();
  Checkbox greenCheckbox = new Checkbox();
  Panel drawingPanel = new Panel();
  BorderLayout borderLayout2 = new BorderLayout();
  Panel drawPanel = new Panel();
  /**Get a parameter value*/
  public String getParameter(String key, String def) {
    return isStandalone ? System.getProperty(key, def) :
      (getParameter(key) != null ? getParameter(key) : def);
  }

  /**Construct the applet*/
  public Zeichnen() {
  }
  /**Initialize the applet*/
  public void init() {
    try {
      jbInit();
    }
    catch(Exception e) {
      e.printStackTrace();
    }
  }
  /**Component initialization*/
  private void jbInit() throws Exception {
    controlPanel.setForeground(Color.lightGray);
    choice.setForeground(Color.white);
    choice.setBackground(Color.lightGray);
    choice.addItemListener(new java.awt.event.ItemListener() {
      public void itemStateChanged(ItemEvent e) {
        choice_itemStateChanged(e);
      }
    });
    this.setLayout(drawBorderLayout);
    choice.addItem("Liniengrafik");
    choice.addItem("Punktgrafik");
    redCheckbox.setBackground(Color.red);
    redCheckbox.setCheckboxGroup(checkboxGroup1);
    redCheckbox.setForeground(Color.lightGray);
    blueCheckbox.setBackground(Color.blue);
    blueCheckbox.setCheckboxGroup(checkboxGroup1);
    blueCheckbox.setForeground(Color.lightGray);
    greenCheckbox.setBackground(Color.green);
    greenCheckbox.setCheckboxGroup(checkboxGroup1);
    greenCheckbox.setForeground(Color.lightGray);
    drawingPanel.setBackground(Color.green);
    drawPanel.setBackground(Color.white);
    drawPanel.setForeground(Color.white);
    drawPanel.setLayout(borderLayout2);
    this.add(drawPanel, BorderLayout.CENTER);
    drawPanel.add(controlPanel, BorderLayout.SOUTH);
    controlPanel.add(redCheckbox, null);
    controlPanel.add(greenCheckbox, null);
    controlPanel.add(blueCheckbox, null);
    controlPanel.add(choice, null);
    drawPanel.add(drawingPanel, BorderLayout.CENTER);
  }
  /**Get Applet information*/
  public String getAppletInfo() {
    return "Applet Information";
  }
  /**Get parameter info*/
  public String[][] getParameterInfo() {
    return null;
  }
  void choice_itemStateChanged(ItemEvent e) {

  }

}