package zweilistener;

import java.awt.*;
import java.awt.event.*;
import java.applet.*;

/**
 * Title:
 * Description:
 * Copyright:    Copyright (c) 2000
 * Company:      Joller-Voss GmbH
 * @author J.M.Joller
 * @version 1.0
 */

public class BeispielMitZweiListener extends Applet implements MouseMotionListener, MouseListener {
    private TextField tf;

    public void init() {
        this.setLayout(new BorderLayout());
        this.add ("North", new Label ("Sie knnen mit der Maus klicken oder die Maus im Feld bewegen!"));
        tf = new TextField (30);
        this.add ("South", tf);

        this.addMouseMotionListener(this);
        this.addMouseListener (this);
        this.setSize(300, 100);
        this.setBackground(Color.white);
    }

    public void start() {
        this.setVisible(true);
    }

    public void stop() {
        this.setVisible(false);
    }

    // Beachten Sie : alle Methoden des Interfaces mssen implementiert werden,
    // selbst wenn dies leer geschieht
    public void mouseDragged (MouseEvent e) {
        String s = "Maus Position:  X = " + e.getX() + " Y = " + e.getY();
        tf.setText (s);
    }

    public void mouseMoved (MouseEvent e) {}

    // MouseListener Events
    public void mouseClicked (MouseEvent e) {}

    public void mouseEntered (MouseEvent e) {
        String s = "Die Maus ist im sensitiven Bereich.";
        tf.setText (s);
    }

    public void mouseExited (MouseEvent e) {
        String s = "Die Maus ist abgehauen!";
        tf.setText (s);
    }

    public void mousePressed (MouseEvent e) {}

    public void mouseReleased (MouseEvent e) {}

}
