package awtdrawtest;

import javax.swing.UIManager;
import java.awt.*;

/**
 * Title:
 * Description:
 * Copyright:    Copyright (c) 2000
 * Company:      Joller-Voss GmbH
 * @author
 * @version 1.0
 */

public class Application1 {
  boolean packFrame = true;
    // spielen mit Look & Feel
    static String window = new
            String("com.sun.java.swing.plaf.windows.WindowsLookAndFeel");
    static String metal = new
            String("com.sun.java.swing.plaf.metal.MetalLookAndFeel");
    static String mac = new
            String("com.sun.java.swing.plaf.mac.MacLookAndFeel");
    static String motif = new
            String("com.sun.java.swing.plaf.motif.MotifLookAndFeel");

  /**Construct the application*/
  public Application1() {
    Frame1 frame = new Frame1();
    //Validate frames that have preset sizes
    //Pack frames that have useful preferred size info, e.g. from their layout
    if (packFrame) {
      frame.pack();
    }
    else {
      frame.validate();
    }
    //Center the window
    Dimension screenSize = Toolkit.getDefaultToolkit().getScreenSize();
    Dimension frameSize = frame.getSize();
    if (frameSize.height > screenSize.height) {
      frameSize.height = screenSize.height;
    }
    if (frameSize.width > screenSize.width) {
      frameSize.width = screenSize.width;
    }
    frame.setLocation((screenSize.width - frameSize.width) / 2, (screenSize.height - frameSize.height) / 2);
    frame.setVisible(true);
  }
  /**Main method*/
  public static void main(String[] args) {
    try {
      UIManager.setLookAndFeel(UIManager.getSystemLookAndFeelClassName());
      UIManager.setLookAndFeel(motif);
      // geth nicht : Copyright UIManager.setLookAndFeel(mac);
      //UIManager.setLookAndFeel(window);
      // geht nicht UIManager.setLookAndFeel(metal);

    }
    catch(Exception e) {
      e.printStackTrace();
    }
    new Application1();
  }
}