package filedialog1;

/**
 * Title:
 * Description:
 * Copyright:    Copyright (c) 2000
 * Company:      Joller-Voss GmbH
 * @author J.M.Joller
 * @version 1.0
 */

import java.awt.*;
import java.io.*;

public class DisplayFile {
  static DirectoryList dl;

  public static void main(String[] args) {
    String dirName = null;
    if (args.length <= 0)
      dirName = "."; // aktuelles directory
    else
      dirName = args[0];
    dl = new DirectoryList(dir(dirName));
    dl.setVisible(true);
  }

  public static String[] dir(String dirName) {
    File f = new File(dirName);
    if (!f.exists()) {
      System.err.println("Datei: " + dirName+" kann nicht geffnet werden");
      return null;
    }
    return f.list();
  }
}

