package menuitem;

import java.awt.*;
import java.awt.event.*;
import java.applet.*;

/**
 * Title:
 * Description:
 * Copyright:    Copyright (c) 2000
 * Company:      Joller-Voss GmbH
 * @author J.M.Joller
 * @version 1.0
 */

public class MenuItemApplet extends Applet implements ActionListener{
    private Frame f;
    private MenuBar mb;
    private Menu m1;
    private Menu m2;
    private Menu m3;
    private MenuItem mi1;
    private MenuItem mi2;
    private MenuItem mi3;
    private MenuItem mi4;
    private MenuItem mi5;
    private MenuItem mi6;
    private MenuItem mi7;
    private CheckboxMenuItem cbmi1;

    public void init() {
        f = new Frame("MenuItem Applet");
        mb = new MenuBar();
        f.setMenuBar(mb);

        m1 = new Menu("File");
        m2 = new Menu("Edit");
        m3 = new Menu("Help");
        mb.add(m1);
        mb.add(m2);
        mb.add(m3);
        mb.setHelpMenu(m3);

        mi1 = new MenuItem("Save");
        mi2 = new MenuItem("Load");
        mi3 = new MenuItem("Quit");
        mi4 = new MenuItem("Copy");
        mi5 = new MenuItem("Cut");
        mi6 = new MenuItem("Paste");
        mi7 = new MenuItem("About");

        mi1.addActionListener(this);
        mi2.addActionListener(this);
        mi3.addActionListener(this);
        mi4.addActionListener(this);
        mi5.addActionListener(this);
        mi6.addActionListener(this);
        mi7.addActionListener(this);

        cbmi1 = new CheckboxMenuItem("Grid On");

        m1.add(mi1);
        m1.add(mi2);
        m1.addSeparator();
        m1.add(mi3);

        m2.add(mi4);
        m2.add(mi5);
        m2.addSeparator();
        m2.add(mi6);
        m2.addSeparator();
        m2.add(cbmi1);

        m3.add(mi7);

        f.setSize(150,150);
    }

    public void start() {
        f.setVisible(true);
    }

    public void stop() {
        f.setVisible(false);
    }

    public void actionPerformed(ActionEvent ae){
       System.out.println("[MenuItemApplet] " +
          ae.getActionCommand() + " selektiert.");
    }

}
