package taschenrechnerguimitevents;

import java.awt.*;
import java.awt.event.*;
import java.applet.*;

/**
 * Title:
 * Description:
 * Copyright:    Copyright (c) 2000
 * Company:      Joller-Voss GmbH
 * @author J.M.Joller
 * @version 1.0
 */

public class TaschenRechner extends Applet implements ActionListener{

    private Button taste0,taste1,taste2,taste3,taste4,taste5,taste6,taste7,taste8,taste9;
    private Button tasteGleich,tastePlus,tasteMinus,tastePunkt,tasteMult,tasteDiv;
    private Panel buttonArea;

    private TextField resultat;
    private boolean punktGesetzt = false;
    private boolean jetztLoeschen = false;
    private boolean spaeterLoeschen = false;
    private double ersteZahl = 0;
    private String zuletztVerwendeteMethode;

    public void init() {
        resultat = new TextField(15);
        resultat.setEditable(false);
        resultat.setBackground(Color.white);

        taste0 = new Button("0");
        taste1 = new Button("1");
        taste2 = new Button("2");
        taste3 = new Button("3");
        taste4 = new Button("4");
        taste5 = new Button("5");
        taste6 = new Button("6");
        taste7 = new Button("7");
        taste8 = new Button("8");
        taste9 = new Button("9");
        tasteGleich = new Button("=");
        tastePlus = new Button("+");
        tasteMinus = new Button("-");
        tasteMult = new Button("*");
        tasteDiv = new Button("/");
        tastePunkt = new Button(".");

        taste0.addActionListener(this);
        taste1.addActionListener(this);
        taste2.addActionListener(this);
        taste3.addActionListener(this);
        taste4.addActionListener(this);
        taste5.addActionListener(this);
        taste6.addActionListener(this);
        taste7.addActionListener(this);
        taste8.addActionListener(this);
        taste9.addActionListener(this);
        tastePlus.addActionListener(this);
        tasteMinus.addActionListener(this);
        tasteMult.addActionListener(this);
        tasteDiv.addActionListener(this);
        tasteGleich.addActionListener(this);
        tastePunkt.addActionListener(this);

        buttonArea = new Panel();
        buttonArea.setLayout(new GridLayout(4,4));

        buttonArea.add(taste7);
        buttonArea.add(taste8);
        buttonArea.add(taste9);
        buttonArea.add(tastePlus);
        buttonArea.add(taste4);
        buttonArea.add(taste5);
        buttonArea.add(taste6);
        buttonArea.add(tasteMinus);
        buttonArea.add(taste1);
        buttonArea.add(taste2);
        buttonArea.add(taste3);
        buttonArea.add(tasteMult);
        buttonArea.add(taste0);
        buttonArea.add(tastePunkt);
        buttonArea.add(tasteGleich);
        buttonArea.add(tasteDiv);
    }

    public void start() {
        setLayout(new BorderLayout());
        // addWindowListener (this);
        add("North",resultat);
        add("Center",buttonArea);
    }

    public void actionPerformed (ActionEvent e) {
        String bLabel = (String)e.getActionCommand();

        if (jetztLoeschen) {
            if (zuletztVerwendeteMethode == "equal" && (bLabel.equals("+") ||
                bLabel.equals("-") || bLabel.equals("*") ||
                bLabel.equals("/"))) {
                    jetztLoeschen = false;
                } else {
                    resultat.setText("");
                    jetztLoeschen = false;
                }
        }

        String current = resultat.getText();

        if (bLabel.equals(".")) {
            if (!punktGesetzt) {
                punktGesetzt = true;
                resultat.setText(current+".");
            }
        } else if (bLabel.equals("+")) {
            if (zuletztVerwendeteMethode == "plus") {
                ersteZahl += Double.valueOf(current).doubleValue();
            } else if (zuletztVerwendeteMethode == "minus") {
                ersteZahl -= Double.valueOf(current).doubleValue();
            } else if (zuletztVerwendeteMethode == "mult") {
                ersteZahl *= Double.valueOf(current).doubleValue();
            } else if (zuletztVerwendeteMethode == "div") {
                ersteZahl /= Double.valueOf(current).doubleValue();
            } else {
                ersteZahl = Double.valueOf(current).doubleValue();
            }
            zuletztVerwendeteMethode = "plus";
            punktGesetzt = false;
            jetztLoeschen = true;
         } else if (bLabel.equals("-")) {
             if (zuletztVerwendeteMethode == "plus") {
                 ersteZahl += Double.valueOf(current).doubleValue();
             } else if (zuletztVerwendeteMethode == "minus") {
                 ersteZahl -= Double.valueOf(current).doubleValue();
             } else if (zuletztVerwendeteMethode == "mult") {
                 ersteZahl *= Double.valueOf(current).doubleValue();
             } else if (zuletztVerwendeteMethode == "div") {
                 ersteZahl /= Double.valueOf(current).doubleValue();
             } else {
                 ersteZahl = Double.valueOf(current).doubleValue();
             }
             zuletztVerwendeteMethode = "minus";
             punktGesetzt = false;
             jetztLoeschen = true;
         } else if (bLabel.equals("*")) {
             if (zuletztVerwendeteMethode == "plus") {
                 ersteZahl += Double.valueOf(current).doubleValue();
             } else if (zuletztVerwendeteMethode == "minus") {
                 ersteZahl -= Double.valueOf(current).doubleValue();
             } else if (zuletztVerwendeteMethode == "mult") {
                 ersteZahl *= Double.valueOf(current).doubleValue();
             } else if (zuletztVerwendeteMethode == "div") {
                 ersteZahl /= Double.valueOf(current).doubleValue();
             } else {
	         ersteZahl = Double.valueOf(current).doubleValue();
	     }
             zuletztVerwendeteMethode = "mult";
             punktGesetzt = false;
             jetztLoeschen = true;
         } else if (bLabel.equals("/")) {
             if (zuletztVerwendeteMethode == "plus") {
                 ersteZahl += Double.valueOf(current).doubleValue();
             } else if (zuletztVerwendeteMethode == "minus") {
                 ersteZahl -= Double.valueOf(current).doubleValue();
             } else if (zuletztVerwendeteMethode == "mult") {
                 ersteZahl *= Double.valueOf(current).doubleValue();
             } else if (zuletztVerwendeteMethode == "div") {
                 ersteZahl /= Double.valueOf(current).doubleValue();
             } else {
                 ersteZahl = Double.valueOf(current).doubleValue();
             }
             zuletztVerwendeteMethode = "div";
             punktGesetzt = false;
             jetztLoeschen = true;
         } else if (bLabel.equals("=")) {
             if (zuletztVerwendeteMethode == "plus") {
                 ersteZahl += Double.valueOf(current).doubleValue();
             } else if (zuletztVerwendeteMethode == "minus") {
                 ersteZahl -= Double.valueOf(current).doubleValue();
             } else if (zuletztVerwendeteMethode == "mult") {
                 ersteZahl *= Double.valueOf(current).doubleValue();
             } else if (zuletztVerwendeteMethode == "div") {
                 ersteZahl /= Double.valueOf(current).doubleValue();
             }
             resultat.setText(new Float(ersteZahl).toString());
             ersteZahl = 0;
             jetztLoeschen = true;
	     zuletztVerwendeteMethode = "equal";
         } else {
             resultat.setText(current+bLabel);
         }
    }
}
