package zeichnenundserialisieren;

import java.awt.*;
import java.awt.event.*;

/**
 * Title:
 * Description:
 * Copyright:    Copyright (c) 2000
 * Company:      Joller-Voss GmbH
 * @author
 * @version 1.0
 */


 // SerializationButton - dieser Button dient der Serialisierung
// eines Objekts, welches mit saveObject gespeichert und mit
// restoreObject wieder geladen wird
//
// Diese Klasse kmmert sich nicht um die Details des Objekts.
// restoreObject liefert also ein Objekt, welches gecastet werden muss

import java.awt.*;
import java.awt.event.*;
import java.io.*;

public class SerializationButton extends Button {
   String fileName = null;

   FileOutputStream os = null;
   FileInputStream f = null;

   // Serialization streams
   ObjectOutputStream s = null;
   ObjectInputStream is = null;

  // Kreiere einen Button mit Label
  // fileName ist ein String Dateiname, in den das Objekt gespeicht
  // aus dem das Objekt gelesen werden soll.

  public SerializationButton(String label, String fileName){
    super(label);
    this.fileName = fileName;
  }
  // Schreibe das Objekt in die Datei fileName (fix im Hauptprogramm)
     public void storeObject(Object obj){

     // ffne den Output Stream, kreiere die Datei
     // schreibe das serialisierte Objekt
     try {
        os = new FileOutputStream(fileName);
        System.out.println("[SerializationButton.storeObject]FileOutputStream war OK");
        s = new ObjectOutputStream(os);

     } catch (Exception e) {
       System.out.println(e);
       e.printStackTrace();
       System.out.println("[SerializationButton.storeObject]Der File Stream kann als Objektstrom "+fileName+ " nicht geffnet werden!");
     }

     // schreibe das Objekt in den Objekt Ausgabestrom
     try {
        s.writeObject(obj);
        System.out.println("[SerializationButton.storeObject]Das Objekt wurde gespeichert.");
        os.close();
     } catch ( Exception e ) {
        System.out.println(e);
        System.out.println("[SerializationButton.storeObject]Das Objekt konnte nicht gespeichert werden.");
	}

    }
    // Lies das Objekt
    public Object restoreObject(){
       Object hilfsobjekt = null;
       try {
          f = new FileInputStream(fileName);
          is = new ObjectInputStream(f);
       } catch ( Exception e ) {
       System.out.println("[SerializationButton.restoreObject]Der File Stream kann als Objektstrom "+fileName+ " nicht geffnet werden!");
      }
      // Lies das Objekt aus dem Strom und liefere es ab.
      try {
         hilfsobjekt = is.readObject();
         System.out.println("[SerializationButton.restoreObject]Das Objekt wurde gelesen.");
      } catch ( Exception e ) {
       System.out.println("[SerializationButton.restoreObject]Das Objekt kann nicht gelesen werden.");
      }
      return hilfsobjekt;
  }
 }