package zeichnenundserialisieren;

import java.awt.*;
import com.borland.jbcl.layout.*;
import java.awt.event.*;

/**
 * Title:        Zeichnen und Serialisieren
 * Description:
 * Copyright:    Copyright (C) J.M.Joller
 * @author J.M.Joller
 * @version 1.0
 */

public class ZeichnenUndSerialisieren extends Frame {
  ZeichnenPanel restored;
  Panel northPanel = new Panel();
  Panel southPanel = new Panel();
  ZeichnenPanel centerPanel = new ZeichnenPanel();
  //public SerializationButton(String label, String fileName)
  SerializationButton restoreButton = new SerializationButton("Restore","Painting.ser");
  SerializationButton storeButton = new SerializationButton("Store","Painting.ser");
  CheckboxGroup colourCheckboxGroup = new CheckboxGroup();
  FlowLayout flowLayout1 = new FlowLayout();
  Checkbox rotCheckbox = new Checkbox();
  Checkbox greenCheckbox = new Checkbox();
  Checkbox blueCheckbox = new Checkbox();
  Checkbox blackCheckbox = new Checkbox();

  FlowLayout flowLayout2 = new FlowLayout();
  MenuBar menuBar1 = new MenuBar();
  Button clearButton = new Button();
  Button exitButton = new Button();
  Choice zeichnungsmodusChoice = new Choice();

  public ZeichnenUndSerialisieren() {
    try {
      jbInit();
    }
    catch(Exception e) {
      e.printStackTrace();
    }
  }
  public static void main(String[] args) {
    ZeichnenUndSerialisieren zeichnenUndSerialisieren = new ZeichnenUndSerialisieren();
  }
  private void jbInit() throws Exception {
    this.setSize(new Dimension(628, 343));
    this.setTitle("Zeichnen und Serialisieren");
    centerPanel.setBackground(Color.red);
    northPanel.setBackground(Color.pink);
    northPanel.setLayout(flowLayout2);
    southPanel.setBackground(Color.orange);
    southPanel.setLayout(flowLayout1);
    //restoreButton.setLabel("Restore");
    //storeButton.setLabel("Store");
    rotCheckbox.setBackground(Color.orange);
    rotCheckbox.setCheckboxGroup(colourCheckboxGroup);
    rotCheckbox.setForeground(Color.red);
    greenCheckbox.setBackground(Color.orange);
    greenCheckbox.setCheckboxGroup(colourCheckboxGroup);
    greenCheckbox.setForeground(Color.green);
    blueCheckbox.setBackground(Color.orange);
    blueCheckbox.setCheckboxGroup(colourCheckboxGroup);
    blueCheckbox.setForeground(Color.blue);
    blackCheckbox.setBackground(Color.orange);
    blackCheckbox.setCheckboxGroup(colourCheckboxGroup);
    clearButton.setLabel("Clear");
    clearButton.addActionListener(new java.awt.event.ActionListener() {
      public void actionPerformed(ActionEvent e) {
        clearButton_actionPerformed(e);
      }
    });
    exitButton.setLabel("Exit");
    exitButton.addActionListener(new java.awt.event.ActionListener() {
      public void actionPerformed(ActionEvent e) {
        exitButton_actionPerformed(e);
      }
    });
    restoreButton.addActionListener(new java.awt.event.ActionListener() {
      public void actionPerformed(ActionEvent e) {
        restoreButton_actionPerformed(e);
      }
    });
    storeButton.addActionListener(new java.awt.event.ActionListener() {
      public void actionPerformed(ActionEvent e) {
        storeButton_actionPerformed(e);
      }
    });
    this.add(centerPanel, BorderLayout.CENTER);
    this.add(southPanel, BorderLayout.SOUTH);
    southPanel.add(clearButton, null);
    southPanel.add(restoreButton, null);
    southPanel.add(rotCheckbox, null);
    southPanel.add(greenCheckbox, null);
    southPanel.add(blueCheckbox, null);
    southPanel.add(blackCheckbox, null);
    southPanel.add(zeichnungsmodusChoice, null);
    southPanel.add(storeButton, null);
    southPanel.add(exitButton, null);
    this.add(northPanel, BorderLayout.NORTH);
  }

  void exitButton_actionPerformed(ActionEvent e) {
    System.exit(0);
  }

  void clearButton_actionPerformed(ActionEvent e) {
    ZeichnenPanel restored = new ZeichnenPanel();
    remove(centerPanel);
    this.add(restored);
    centerPanel = restored;
  }

  void restoreButton_actionPerformed(ActionEvent e) {
    ZeichnenPanel restored = (ZeichnenPanel)(restoreButton.restoreObject());
    System.out.println("[restoreButton]Panel wurde De-Serialisiert");

    for (int i=0; i<restored.linien.size(); i++) {
      System.out.println("[ZeichnenUndSerialisieren.restoreButton_actionPerformed] Vector : "+restored.linien.get(i));
      System.out.println("[ZeichnenUndSerialisieren.restoreButton_actionPerformed] Vector : "+restored.farben.get(i));
    }
    remove(centerPanel);
    this.add("Center", restored);
    System.out.println ("[restoreButton]restored und added centerPanel [ZeichnenPanel]"+restored.getName());
    this.add(restored);
    centerPanel = restored;
    System.gc();
  }

  void storeButton_actionPerformed(ActionEvent e) {
    storeButton.storeObject(this.centerPanel);
  }
}